package de.swe2.kundenverwaltung.domain;

import static de.swe2.kundenverwaltung.domain.AbstractKunde.FIRMENKUNDE;
import static javax.xml.bind.annotation.XmlAccessType.FIELD;

import java.util.Date;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;


@Entity
@Inheritance
@DiscriminatorValue(FIRMENKUNDE)
@XmlRootElement
@XmlAccessorType(FIELD)
public class Firmenkunde extends AbstractKunde {
	private static final long serialVersionUID = -3962271877965533586L;

	public Firmenkunde() {
		super();
	}
	public Firmenkunde(String nachname, String vorname, String email, Date seit) {
		super(nachname, vorname, email, seit);
	}

	@Override
	public String getArt() {
		return FIRMENKUNDE;
	}
	
	@Override
	public String toString() {
		return "Firmenkunde [" + super.toString() + ']';
	}
}
