package de.swe2.util;

import javax.ejb.ApplicationException;

@ApplicationException(rollback = true)
public class ConcurrentDeletedException extends AbstractSwe2Exception {
	private static final long serialVersionUID = 3061376326827538106L;
	private final Object id;

	public ConcurrentDeletedException(Object id) {
		super("Das Objekt mit der ID " + id + " wurde konkurrierend geloescht");
		this.id = id;
	}
	
	public Object getId() {
		return id;
	}
}
