package de.swe2.util;

import javax.ejb.ApplicationException;

@ApplicationException(rollback = true)
public class ConcurrentUpdatedException extends AbstractSwe2Exception {
	private static final long serialVersionUID = -5705818853925553302L;
	private final Object id;

	public ConcurrentUpdatedException(Object id, Throwable t) {
		super("Das Objekt mit der ID " + id + " wurde konkurrierend modifiziert", t);
		this.id = id;
	}
	
	public Object getId() {
		return id;
	}
}
