package de.swe2.util;

public final class EjbConstants {
	//--------------------------------------------------------
	// JPA
	public static final Long KEINE_ID = null;
	public static final long MIN_ID = 1L;
	public static final int ERSTE_VERSION = 0;
	
	//--------------------------------------------------------
	// Passwort-Verschluesselung
	public static final String HASH_ALGORITHM = "SHA-1";
	public static final String HASH_ENCODING = "base64";
	public static final String HASH_CHARSET = "UTF-8";
	
	//--------------------------------------------------------
	// Security
	public static final String ROLLE_MITARBEITER = "mitarbeiter";
	public static final String ROLLE_ADMIN = "admin";
	public static final String ROLLE_KUNDE = "kunde";
	public static final String ROLLE_TABELLE = "swe2_role";
	
	//--------------------------------------------------------
	// JavaMail
	public static final String MAILER_NAME = "java:Mail";

	//--------------------------------------------------------
	// Web-Projekt und Pfad fuer BLOBs
	public static final String NAME_WEB_PROJEKT = "swe2Web";
	public static final String BLOB_PATH_WEB = "/resources/db/";
	
	private EjbConstants() { }
}
