package de.swe2.util;

public class NotFoundException extends AbstractSwe2Exception {
	private static final long serialVersionUID = 5729246060535049488L;

	private final Class<?> clazz;
	
	public NotFoundException(String msg, Class<?> clazz) {
		super(msg);
		this.clazz = clazz;
	}
	
	public NotFoundException(String msg, Class<?> clazz, Throwable t) {
		super(msg, t);
		this.clazz = clazz;
	}
	
	public Class<?> getClazz() {
		return clazz;
	}
}
